org.eclipse.net4j.util.collection

## Class BidiMapper<T1,T2>

- java.lang.Object
- - org.eclipse.net4j.util.collection.BidiMapper<T1,T2>

- Deprecated.
  As of 3.6 use `BidiMap`.

      @Deprecated
      public class BidiMapper<T1,T2>
      extends Object

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BidiMapper()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Deprecated.
    `T2` | `lookup1(T1 v1)` Deprecated.
    `T1` | `lookup2(T2 v2)` Deprecated.
    `void` | `map(T1 v1, T2 v2)` Deprecated.
    `boolean` | `remove1(T1 v1)` Deprecated.
    `boolean` | `remove2(T2 v2)` Deprecated.
    `int` | `size()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BidiMapper

          public BidiMapper()

      Deprecated.

  - ### Method Detail

    - #### map

          public void map(T1 v1,
                          T2 v2)

      Deprecated.

    - #### size

          public int size()

      Deprecated.

    - #### clear

          public void clear()

      Deprecated.

    - #### lookup1

          public T2 lookup1(T1 v1)

      Deprecated.

    - #### lookup2

          public T1 lookup2(T2 v2)

      Deprecated.

    - #### remove1

          public boolean remove1(T1 v1)

      Deprecated.

    - #### remove2

          public boolean remove2(T2 v2)

      Deprecated.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html